Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11393

Description

I´m using QGIS witch i find very intesting. When I tried to use the Measure Area and Measure Line tools i just recived 0,00 as totals. I's it a

BUG or i'm doing something wrong? Thanks.

Stelmo Barbosa

History

#1 - 2008-10-18 07:33 AM - Magnus Homann

- Status changed from Open to In Progress

We nned more info, can you supply the layer and or projetcion settings?

#2 - 2008-11-03 06:25 AM - lhbecker -

Hi

I also have a problem with the measureing tool on Windows. I don't know if I use it wrongly, but I experienced the same problem on both 0.11.0 and 1.0.0. I

changed the Settings -> Project Properties -> Map Units to Meters (from degrees) in the hope that the measuring tool would display the measured distance

in meters. Although the measurement popup show that the units are meters, that actual displayed distance is the same as was shown for the degrees. The

some problem persists if I you change the units to feet. If I remember correctly, it work fine on my Mac OS X Tiger at home.

Regard

Louis Becker

#3 - 2008-11-03 07:56 AM - Magnus Homann

What lhbecker describes is the intended behaviour. The settings describes the size of one map unit i.e. the distance from coordinate (0,0) to (0,1).

I still need more info about the problem the original submitter has.

#4 - 2008-12-05 05:38 AM - lhbecker -

My problem would then be that the measuring tool shows the unit "m", when in fact the the measurements are being done in degrees. The result does not

match the units. One should then not be allowed to change the measurement units once you've chosen a specific projection with corresponding units.

#5 - 2009-03-21 09:22 AM - Paolo Cavallini
- Status changed from In Progress to Closed

- Resolution set to invalid

There is now a warning that measuring in latlong CRS gives not-so-reasonable results. This is inherent to the projection system, not a bug of QGIS INHO

#6 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
